function PR.GUI.RefreshConfigBox()
    PR.GUI.UserInput.value = "select option"
    -- hardcode indexes for editable configuration values
    -- the indexes are used by the save button action
    local rows = #PR.GUI.EditableValues
    for i = 1, rows do
        PR.GUI.DisplayPanel[i] = PR.GUI.EditableValues[i] .. " = " ..
            PR.Config[ PR.GUI.EditableValues[i] ] .. " " ..
            PR.GUI.EditableValuesUnit[i]
    end
    PR.GUI.DisplayPanel[rows + 2] = "Changes only take effect after you click on " ..
        PR.GUI.Btn_Bottom1.title .. " below."
    PR.GUI.MaxDisplayRows = rows + 2

    iup.Append(PR.GUI.MainDialog[1][1], PR.GUI.EditBox)

    PR.GUI.Btn_Top2.title = PR.Config.PrintToHUD and "Print to HUD" or
        "Print to Chat"

    if PR.Config.COLOR then
        PR.GUI.Btn_Top3.title = "Color"
        PR.GUI.Btn_Top3.fgcolor = PR.GUI.Color.Button
    else
        PR.GUI.Btn_Top3.title = "White"
        PR.GUI.Btn_Top3.fgcolor = PR.GUI.Color.White
    end

    PR.GUI.Btn_Top4.title = PR.VerbosityLevels[PR.Config.VerbosityLevel]

    iup.Refresh(PR.GUI.MainDialog[1][1])
end
